Skip to main content
POST
Submit a signed transaction for broadcast

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are requred to make a successful request.

Path Parameters

paymentId
string<uuid>
required

The payment id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

transactionId
string<uuid>
required

The transaction id created previously. System-generated unique identifier of the resource.

Example:

"c4d1da72-111e-4d52-bdbf-2e74a2d803d5"

Body

application/json

Request body for submitting a signed blockchain transaction

signedTransaction
string
required

Signed transaction. Base64 encoded for NEAR and Solana chains. Hex encoded for EVM chains.

Example:

"AgAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAABpzlAhqqen7eyTe0KQ3w+9NS4E+7sscb+Cr..."

Response

Transaction submitted successfully.

data
object
required

Response schema for a blockchain transaction containing details about the transaction amount, addresses, fees, and status